Export OCPP Logs
const url = 'https://api.exolink.cloud/tenant/example/logs/ocpp/export';const options = { method: 'GET', headers: { 'x-exo-actions': 'BootNotification,Heartbeat', 'x-exo-msg-types': 'CALL,CALLERROR', 'x-exo-direction': 'charger', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/logs/ocpp/export \ --header 'Authorization: Bearer <token>' \ --header 'x-exo-actions: BootNotification,Heartbeat' \ --header 'x-exo-direction: charger' \ --header 'x-exo-msg-types: CALL,CALLERROR'Stream the filtered OCPP logs as one gzip-compressed CSV file. The range covers at most 7 days, and the result at most 200000 rows and 100 MiB.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Header Parameters
Section titled “Header Parameters”Start of the log range. Defaults to the start of the current UTC day.
End of the log range. Defaults to the end of the current UTC day.
Comma-separated charger identities
Comma-separated OCPP actions
Example
BootNotification,HeartbeatComma-separated message types out of CALL, CALLRESULT, CALLERROR
Example
CALL,CALLERRORSender of the message
OCPP message ID
Text to search for in the message
Responses
Section titled “Responses”CSV file with the columns tenant, chargerId, action, msgType, msgId, msg, ts, profileId, from, utc
Headers
Section titled “Headers”Attachment with the file name
Malformed request
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Bad Request", "errorCode": "ERR_API_BAD_REQUEST"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Result too large to return
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Content too large", "errorCode": "ERR_API_CONTENT_TOO_LARGE"}